> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hacktron.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add finding comment

> Append a comment to a finding's triage thread.

Appends a comment to a finding's triage thread. Comments appear in the dashboard alongside comments from GitHub, Slack, and other integrations.

<Info>**Scope required**: `write`</Info>


## OpenAPI

````yaml POST /findings/{id}/comments
openapi: 3.0.0
info:
  title: Hacktron REST API
  description: Public REST API for programmatic access to Hacktron
  version: '1.0'
  contact: {}
servers:
  - url: https://api.hacktron.ai/v1
security:
  - api-key: []
tags: []
paths:
  /findings/{id}/comments:
    post:
      tags:
        - REST API - Findings
      summary: Add a comment to a finding
      operationId: RestFindingController_addComment
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RestAddCommentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestAddCommentResponseDto'
components:
  schemas:
    RestAddCommentDto:
      type: object
      properties:
        comment:
          type: string
          description: Comment text
          maxLength: 4000
      required:
        - comment
    RestAddCommentResponseDto:
      type: object
      properties:
        comment_id:
          type: string
      required:
        - comment_id
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-Api-Key

````